For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • Introduction
    • Welcome to Monite
    • Monite account structure
    • Postman collections
    • Support
  • Get started
    • Step 1. Get your credentials
    • Step 2. Implement server side
      • Overview
      • Payment methods
        • Overview
        • Enable payment methods
          • Onboarding flow
          • Key persons
          • Verification documents
          • Additional onboarding data
        • Onboarding Web Component
      • Payment links
      • Payment intents
      • Payment Web Component
      • Payment page customization
      • Payment reference normalization
      • Testing payments
      • MCC
LogoLogo
API StatusPartner Portal
On this page
  • Overview
  • Provide the onboarding data
  • Get the onboarding data
PaymentsOnboardingAPI-only onboarding

Additional onboarding data

Learn how to manage the business information about the entities and provide seamless payments onboarding.
Was this page helpful?
Previous

Onboarding Web Component

Next
Built with

Overview

Onboarding data is a set of required business information about the entities that want to send and accept payments. This includes the MCC, publicly available website, and terms of service agreement.

Providing the onboarding documents allows the entities to have a seamless onboarding for accepting payments experience with reduced manual labor required.

Provide the onboarding data

To specify the onboarding data for an entity, call PATCH /v1/entities/{entity_id}/onboarding_data:

1curl -X PATCH 'https://api.dev.monite.com/v1/entities/aea39...912/onboarding_data' \
2 -H 'X-Monite-Version: 2024-05-25' \
3 -H 'Authorization: Bearer ACCESS_TOKEN'
4 -H 'Content-Type: application/json' \
5 -d '{
6 "business_profile": {
7 "mcc": "1731",
8 "url": "https://mycompany.com"
9 },
10 "tos_acceptance": {
11 "ip": "192.0.2.1",
12 "date": "2023-03-21T12:35:57.372Z"
13 },
14 "ownership_declaration": {
15 "ip": "192.0.2.1",
16 "date": "2023-05-03T11:27:54.736Z"
17 }
18 }'

A successful response returns the values received in the request.

Get the onboarding data

To get the data that an entity provided during onboarding, call GET /v1/entities/{entity_id}/onboarding_data:

1curl -X GET 'https://api.sandbox.monite.com/v1/entities/aea39...912/onboarding_data' \
2 -H 'X-Monite-Version: 2024-05-25' \
3 -H 'Authorization: Bearer ACCESS_TOKEN'

A successful response contains the onboarding data of the specified entity:

1{
2 "business_profile": {
3 "mcc": "1731",
4 "url": "https://mycompany.com"
5 },
6 "tos_acceptance": {
7 "ip": "192.0.2.1",
8 "date": "2023-03-21T12:30:45.933Z"
9 },
10 "ownership_declaration": {
11 "ip": "192.0.2.1",
12 "date": "2023-05-03T11:27:54.736Z"
13 }
14}